<?php
/**
 * Renovation Roofing Theme Customizer
 *
 * @package Renovation Roofing
 */

function renovation_roofing_customize_register( $wp_customize ) {

	load_template( trailingslashit( get_template_directory() ) . 'revolution/inc/fontawesome-change.php' );
	
	$wp_customize->get_setting( 'blogname' )->transport         = 'postMessage';
	$wp_customize->get_setting( 'blogdescription' )->transport  = 'postMessage';
	$wp_customize->get_setting( 'header_textcolor' )->transport = 'postMessage';

	if ( isset( $wp_customize->selective_refresh ) ) {
		$wp_customize->selective_refresh->add_partial(
			'blogname',
			array(
				'selector'        => '.site-title a',
				'render_callback' => 'renovation_roofing_customize_partial_blogname',
			)
		);
		$wp_customize->selective_refresh->add_partial(
			'blogdescription',
			array(
				'selector'        => '.site-description',
				'render_callback' => 'renovation_roofing_customize_partial_blogdescription',
			)
		);
	}

	/*
    * Theme Options Panel
    */
	$wp_customize->add_panel('renovation_roofing_panel', array(
		'priority' => 25,
		'capability' => 'edit_theme_options',
		'title' => __('Renovation Roofing Theme Options', 'renovation-roofing'),
	));

		$wp_customize->add_setting(
		'renovation_roofing_site_title_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_site_title_text',
		array(
			'label'       => __('Enable Title', 'renovation-roofing'),
			'description' => __('Enable or Disable Title from the site', 'renovation-roofing'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'renovation_roofing_site_tagline_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_site_tagline_text',
		array(
			'label'       => __('Enable Tagline', 'renovation-roofing'),
			'description' => __('Enable or Disable Tagline from the site', 'renovation-roofing'),
			'section'     => 'title_tagline',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'renovation_roofing_logo_width',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '150',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_logo_width',
		array(
			'label'       => __('Logo Width in PX', 'renovation-roofing'),
			'section'     => 'title_tagline',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 100,
	             'max' => 300,
	             'step' => 1,
	         ),
		)
	);

		/* WooCommerce custom settings */

	$wp_customize->add_section('woocommerce_custom_settings', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('WooCommerce Custom Settings', 'renovation-roofing'),
		'panel'       => 'woocommerce',
	));

	$wp_customize->add_setting(
		'renovation_roofing_per_columns',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_per_columns',
		array(
			'label'       => __('Product Per Single Row', 'renovation-roofing'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'renovation_roofing_product_per_page',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '6',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_product_per_page',
		array(
			'label'       => __('Product Per One Page', 'renovation-roofing'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 12,
	             'step' => 1,
	         ),
		)
	);

	/*Related Products Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_related_product',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_enable_related_product',
		array(
			'label'       => __('Enable Related Product', 'renovation-roofing'),
			'description' => __('Checked to show Related Product', 'renovation-roofing'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number',
		array(
			'label'       => __('Related Product Count', 'renovation-roofing'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 20,
	             'step' => 1,
	         ),
		)
	);

	$wp_customize->add_setting(
		'custom_related_products_number_per_row',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'custom_related_products_number_per_row',
		array(
			'label'       => __('Related Product Per Row', 'renovation-roofing'),
			'section'     => 'woocommerce_custom_settings',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 4,
	             'step' => 1,
	         ),
		)
	);

	/*Archive Product layout*/
	$wp_customize->add_setting('renovation_roofing_archive_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'renovation_roofing_sanitize_choices'
	));
	$wp_customize->add_control('renovation_roofing_archive_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Archive Product Layout','renovation-roofing'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','renovation-roofing'),
            'layout-2' => esc_html__('Sidebar On Left','renovation-roofing'),
			'layout-3' => esc_html__('Full Width Layout','renovation-roofing')
        ),
	) );

	/*Single Product layout*/
	$wp_customize->add_setting('renovation_roofing_single_product_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'renovation_roofing_sanitize_choices'
	));
	$wp_customize->add_control('renovation_roofing_single_product_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Product Layout','renovation-roofing'),
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','renovation-roofing'),
            'layout-2' => esc_html__('Sidebar On Left','renovation-roofing'),
			'layout-3' => esc_html__('Full Width Layout','renovation-roofing')
        ),
	) );

	$wp_customize->add_setting('renovation_roofing_woocommerce_product_sale',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => 'Right',
        'sanitize_callback' => 'renovation_roofing_sanitize_choices'
    ));
    $wp_customize->add_control('renovation_roofing_woocommerce_product_sale',array(
        'label'       => esc_html__( 'Woocommerce Product Sale Positions','renovation-roofing' ),
        'type' => 'select',
        'section' => 'woocommerce_custom_settings',
        'choices' => array(
            'Right' => __('Right','renovation-roofing'),
            'Left' => __('Left','renovation-roofing'),
            'Center' => __('Center','renovation-roofing')
        ),
    ) );

	/*Additional Options*/
	$wp_customize->add_section('renovation_roofing_additional_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Additional Options', 'renovation-roofing'),
		'panel'       => 'renovation_roofing_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_sticky_header',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => false,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_enable_sticky_header',
		array(
			'label'       => __('Enable Sticky Header', 'renovation-roofing'),
			'description' => __('Checked to enable sticky header', 'renovation-roofing'),
			'section'     => 'renovation_roofing_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_preloader',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_enable_preloader',
		array(
			'label'       => __('Enable Preloader', 'renovation-roofing'),
			'description' => __('Checked to show preloader', 'renovation-roofing'),
			'section'     => 'renovation_roofing_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Breadcrumbs Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_breadcrumbs',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_enable_breadcrumbs',
		array(
			'label'       => __('Enable Breadcrumbs', 'renovation-roofing'),
			'description' => __('Checked to show Breadcrumbs', 'renovation-roofing'),
			'section'     => 'renovation_roofing_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_pagination',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_enable_pagination',
		array(
			'label'       => __('Enable Pagination', 'renovation-roofing'),
			'description' => __('Checked to show Pagination', 'renovation-roofing'),
			'section'     => 'renovation_roofing_additional_section',
			'type'        => 'checkbox',
		)
	);

	/*Pagination Select Type Option*/
	$wp_customize->add_setting('renovation_roofing_pagination_type',array(
        'default' => 'type-1',
        'sanitize_callback' => 'renovation_roofing_sanitize_choices'
	));
	$wp_customize->add_control('renovation_roofing_pagination_type',array(
        'type' => 'select',
        'label' => esc_html__('Select Pagination Type','renovation-roofing'),
        'section' => 'renovation_roofing_additional_section',
        'choices' => array(
            'type-1' => esc_html__('Type 1','renovation-roofing'),
            'type-2' => esc_html__('Type 2','renovation-roofing'),
        ),
	) );

	/*Post layout*/
	$wp_customize->add_setting('renovation_roofing_archive_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'renovation_roofing_sanitize_choices'
	));
	$wp_customize->add_control('renovation_roofing_archive_layout',array(
        'type' => 'select',
        'label' => esc_html__('Post Layout','renovation-roofing'),
        'section' => 'renovation_roofing_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','renovation-roofing'),
            'layout-2' => esc_html__('Sidebar On Left','renovation-roofing'),
			'layout-3' => esc_html__('Full Width Layout','renovation-roofing')
        ),
	) );

	/*single post layout*/
	$wp_customize->add_setting('renovation_roofing_post_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'renovation_roofing_sanitize_choices'
	));
	$wp_customize->add_control('renovation_roofing_post_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Post Layout','renovation-roofing'),
        'section' => 'renovation_roofing_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','renovation-roofing'),
            'layout-2' => esc_html__('Sidebar On Left','renovation-roofing'),
			'layout-3' => esc_html__('Full Width Layout','renovation-roofing')
        ),
	) );

	/*single page layout*/
	$wp_customize->add_setting('renovation_roofing_page_layout',array(
        'default' => 'layout-1',
        'sanitize_callback' => 'renovation_roofing_sanitize_choices'
	));
	$wp_customize->add_control('renovation_roofing_page_layout',array(
        'type' => 'select',
        'label' => esc_html__('Single Page Layout','renovation-roofing'),
        'section' => 'renovation_roofing_additional_section',
        'choices' => array(
            'layout-1' => esc_html__('Sidebar On Right','renovation-roofing'),
            'layout-2' => esc_html__('Sidebar On Left','renovation-roofing'),
			'layout-3' => esc_html__('Full Width Layout','renovation-roofing')
        ),
	) );

	/*Archive Post Options*/
	$wp_customize->add_section('renovation_roofing_blog_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Blog Page Options', 'renovation-roofing'),
		'panel'       => 'renovation_roofing_panel',
	));

	$wp_customize->add_setting('renovation_roofing_enable_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_blog_post_title',array(
		'label'       => __('Enable Blog Post Title', 'renovation-roofing'),
		'description' => __('Checked To Show Blog Post Title', 'renovation-roofing'),
		'section'     => 'renovation_roofing_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('renovation_roofing_enable_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_blog_post_meta',array(
		'label'       => __('Enable Blog Post Meta', 'renovation-roofing'),
		'description' => __('Checked To Show Blog Post Meta Feilds', 'renovation-roofing'),
		'section'     => 'renovation_roofing_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('renovation_roofing_enable_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_blog_post_tags',array(
		'label'       => __('Enable Blog Post Tags', 'renovation-roofing'),
		'description' => __('Checked To Show Blog Post Tags', 'renovation-roofing'),
		'section'     => 'renovation_roofing_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('renovation_roofing_enable_blog_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_blog_post_image',array(
		'label'       => __('Enable Blog Post Image', 'renovation-roofing'),
		'description' => __('Checked To Show Blog Post Image', 'renovation-roofing'),
		'section'     => 'renovation_roofing_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('renovation_roofing_enable_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_blog_post_content',array(
		'label'       => __('Enable Blog Post Content', 'renovation-roofing'),
		'description' => __('Checked To Show Blog Post Content', 'renovation-roofing'),
		'section'     => 'renovation_roofing_blog_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('renovation_roofing_enable_blog_post_button',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_blog_post_button',array(
		'label'       => __('Enable Blog Post Read More Button', 'renovation-roofing'),
		'description' => __('Checked To Show Blog Post Read More Button', 'renovation-roofing'),
		'section'     => 'renovation_roofing_blog_post_section',
		'type'        => 'checkbox',
	));


	/*Blog post Content layout*/
	$wp_customize->add_setting('renovation_roofing_blog_Post_content_layout',array(
        'default' => 'Left',
        'sanitize_callback' => 'renovation_roofing_sanitize_choices'
	));
	$wp_customize->add_control('renovation_roofing_blog_Post_content_layout',array(
        'type' => 'select',
        'label' => esc_html__('Blog Post Content Layout','renovation-roofing'),
        'section' => 'renovation_roofing_blog_post_section',
        'choices' => array(
            'Left' => esc_html__('Left','renovation-roofing'),
            'Center' => esc_html__('Center','renovation-roofing'),
            'Right' => esc_html__('Right','renovation-roofing')
        ),
	) );

	/*Excerpt*/
    $wp_customize->add_setting(
		'renovation_roofing_excerpt_limit',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '25',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_excerpt_limit',
		array(
			'label'       => __('Excerpt Limit', 'renovation-roofing'),
			'section'     => 'renovation_roofing_blog_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 2,
	             'max' => 50,
	             'step' => 2,
	         ),
		)
	);

	/*Archive Button Text*/
	$wp_customize->add_setting(
		'renovation_roofing_read_more_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Continue Reading....',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_read_more_text',
		array(
			'label'       => __('Edit Button Text ', 'renovation-roofing'),
			'section'     => 'renovation_roofing_blog_post_section',
			'type'        => 'text',
		)
	);

	/*Single Post Options*/
	$wp_customize->add_section('renovation_roofing_single_post_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Single Post Options', 'renovation-roofing'),
		'panel'       => 'renovation_roofing_panel',
	));

	$wp_customize->add_setting('renovation_roofing_enable_single_blog_post_title',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_single_blog_post_title',array(
		'label'       => __('Enable Single Post Title', 'renovation-roofing'),
		'description' => __('Checked To Show Single Blog Post Title', 'renovation-roofing'),
		'section'     => 'renovation_roofing_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('renovation_roofing_enable_single_blog_post_meta',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_single_blog_post_meta',array(
		'label'       => __('Enable Single Post Meta', 'renovation-roofing'),
		'description' => __('Checked To Show Single Blog Post Meta Feilds', 'renovation-roofing'),
		'section'     => 'renovation_roofing_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('renovation_roofing_enable_single_blog_post_tags',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_single_blog_post_tags',array(
		'label'       => __('Enable Single Post Tags', 'renovation-roofing'),
		'description' => __('Checked To Show Single Blog Post Tags', 'renovation-roofing'),
		'section'     => 'renovation_roofing_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('renovation_roofing_enable_single_post_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_single_post_image',array(
		'label'       => __('Enable Single Post Image', 'renovation-roofing'),
		'description' => __('Checked To Show Single Post Image', 'renovation-roofing'),
		'section'     => 'renovation_roofing_single_post_section',
		'type'        => 'checkbox',
	));

	$wp_customize->add_setting('renovation_roofing_enable_single_blog_post_content',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 1,
		'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
	));
	$wp_customize->add_control('renovation_roofing_enable_single_blog_post_content',array(
		'label'       => __('Enable Single Post Content', 'renovation-roofing'),
		'description' => __('Checked To Show Single Blog Post Content', 'renovation-roofing'),
		'section'     => 'renovation_roofing_single_post_section',
		'type'        => 'checkbox',
	));

	/*Related Post Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_related_post',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_enable_related_post',
		array(
			'label'       => __('Enable Related Post', 'renovation-roofing'),
			'description' => __('Checked to show Related Post', 'renovation-roofing'),
			'section'     => 'renovation_roofing_single_post_section',
			'type'        => 'checkbox',
		)
	);

	/*Related post Edit Text*/
	$wp_customize->add_setting(
		'renovation_roofing_related_post_text',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 'Related Post',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_related_post_text',
		array(
			'label'       => __('Edit Related Post Text ', 'renovation-roofing'),
			'section'     => 'renovation_roofing_single_post_section',
			'type'        => 'text',
		)
	);	

	/*Related Post Per Page*/
	$wp_customize->add_setting(
		'renovation_roofing_related_post_count',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '3',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_related_post_count',
		array(
			'label'       => __('Related Post Count', 'renovation-roofing'),
			'section'     => 'renovation_roofing_single_post_section',
			'type'        => 'number',
			'input_attrs' => array(
	            'min' => 1,
	             'max' => 9,
	             'step' => 1,
	         ),
		)
	);

	/*
	* Customizer Global COlor
	*/

	/*Global Color Options*/
	$wp_customize->add_section('renovation_roofing_global_color_section', array(
		'priority'       => 1,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Global Color Options', 'renovation-roofing'),
		'panel'       => 'renovation_roofing_panel',
	));

	$wp_customize->add_setting( 'renovation_roofing_primary_color',
		array(
		'default'           => '#3c3531',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'renovation_roofing_primary_color',
		array(
			'label'      => esc_html__( 'Primary Color', 'renovation-roofing' ),
			'section'    => 'renovation_roofing_global_color_section',
			'settings'   => 'renovation_roofing_primary_color',
		) ) 
	);

	$wp_customize->add_setting( 'renovation_roofing_secondary_color',
		array(
		'default'           => '#a47c68',
		'capability'        => 'edit_theme_options',
		'sanitize_callback' => 'sanitize_hex_color',
		)
	);
	$wp_customize->add_control( 
		new WP_Customize_Color_Control( 
		$wp_customize, 
		'renovation_roofing_secondary_color',
		array(
			'label'      => esc_html__( 'Secondary Color', 'renovation-roofing' ),
			'section'    => 'renovation_roofing_global_color_section',
			'settings'   => 'renovation_roofing_secondary_color',
		) ) 
	);

	/*Typography Options*/
	$wp_customize->add_section( 'renovation_roofing_typography_section', array(
		'panel'       => 'renovation_roofing_panel',
        'title'    => __( 'Typography Options', 'renovation-roofing' ),
        'priority' => 2,
    ) );

    $wp_customize->add_setting( 'renovation_roofing_font_family', array(
		'default'           => 'default',
		'sanitize_callback' => 'renovation_roofing_sanitize_font_family',
	) );
	
	$wp_customize->add_control( 'renovation_roofing_font_family', array(
		'label'    => __( 'Global Font Family', 'renovation-roofing' ),
		'section'  => 'renovation_roofing_typography_section',
		'type'     => 'select',
		'choices'  => array(
			'default'          => __( 'Default (Theme Font)', 'renovation-roofing' ),
			'bad_script'       => 'Bad Script',
			'roboto'           => 'Roboto',
			'playfair_display' => 'Playfair Display',
			'open_sans'        => 'Open Sans',
			'lobster'          => 'Lobster',
			'merriweather'     => 'Merriweather',
			'oswald'           => 'Oswald',
			'raleway'          => 'Raleway',
		),
	) );

	/*Additional Options*/
	$wp_customize->add_section('renovation_roofing_header', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Header Settings', 'renovation-roofing'),
		'panel'       => 'renovation_roofing_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_header_search',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_header_search',
		array(
			'label'       => __('Enable Search', 'renovation-roofing'),
			'description' => __('Check to show search', 'renovation-roofing'),
			'section'     => 'renovation_roofing_header',
			'type'        => 'checkbox',
		)
	);

	/*
	* Customizer main slider section
	*/
	/*Main Slider Options*/
	$wp_customize->add_section('renovation_roofing_slider_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Main Slider Options', 'renovation-roofing'),
		'panel'       => 'renovation_roofing_panel',
	));

	/*Main Slider Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_slider',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_enable_slider',
		array(
			'label'       => __('Enable Main Slider', 'renovation-roofing'),
			'description' => __('Checked to show the main slider', 'renovation-roofing'),
			'section'     => 'renovation_roofing_slider_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting(
		'renovation_roofing_slide_number',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_slide_number',
		array(
			'label'       => __('Number of slide to show', 'renovation-roofing'),
			'section'     => 'renovation_roofing_slider_section',
			'type'        => 'number',
			'input_attrs' => array(
				'min' => 1,     
				'max' => 3,   
			)
		)
	);

	$renovation_roofing_slide_count = (int)get_theme_mod('renovation_roofing_slide_number');

	for ($m=1; $m <= $renovation_roofing_slide_count; $m++) { 

		/*Main Slider Image*/
		$wp_customize->add_setting(
			'renovation_roofing_slider_image'.$m,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'renovation_roofing_slider_image'.$m, 
				array(
			        'label' => __('Edit Slider Image ', 'renovation-roofing') .$m,
			        'description' => __('Edit the slider image.', 'renovation-roofing'),
			        'section' => 'renovation_roofing_slider_section',
				)
			)
		);

		/*Main Slider Heading*/
		$wp_customize->add_setting(
			'renovation_roofing_slider_heading'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'renovation_roofing_slider_heading'.$m,
			array(
				'label'       => __('Edit Heading Text ', 'renovation-roofing') .$m,
				'description' => __('Edit the slider heading text.', 'renovation-roofing'),
				'section'     => 'renovation_roofing_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Content*/
		$wp_customize->add_setting(
			'renovation_roofing_slider_text'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'renovation_roofing_slider_text'.$m,
			array(
				'label'       => __('Edit Content Text ', 'renovation-roofing') .$m,
				'description' => __('Edit the slider content text.', 'renovation-roofing'),
				'section'     => 'renovation_roofing_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 Text*/
		$wp_customize->add_setting(
			'renovation_roofing_slider_button1_text'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'renovation_roofing_slider_button1_text'.$m,
			array(
				'label'       => __('Edit Button #1 Text ', 'renovation-roofing') .$m,
				'description' => __('Edit the slider button text.', 'renovation-roofing'),
				'section'     => 'renovation_roofing_slider_section',
				'type'        => 'text',
			)
		);

		/*Main Slider Button1 URL*/
		$wp_customize->add_setting(
			'renovation_roofing_slider_button1_link'.$m,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'renovation_roofing_slider_button1_link'.$m,
			array(
				'label'       => __('Edit Button #1 URL ', 'renovation-roofing') .$m,
				'description' => __('Edit the slider button url.', 'renovation-roofing'),
				'section'     => 'renovation_roofing_slider_section',
				'type'        => 'url',
			)
		);
	}

	/*
	* Customizer Portfolio section
	*/
	/*Portfolio Options*/
	$wp_customize->add_section('renovation_roofing_events_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Portfolio Option', 'renovation-roofing'),
		'panel'       => 'renovation_roofing_panel',
	));

	/*Portfolio Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_event',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 0,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_enable_event',
		array(
			'label'       => __('Enable Portfolio Section', 'renovation-roofing'),
			'description' => __('Checked to show the category', 'renovation-roofing'),
			'section'     => 'renovation_roofing_events_section',
			'type'        => 'checkbox',
		)
	);

	/*Portfolio Heading*/
	$wp_customize->add_setting(
		'renovation_roofing_event_heading',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_event_heading',
		array(
			'label'       => __('Edit Section Heading', 'renovation-roofing'),
			'description' => __('Edit event section heading', 'renovation-roofing'),
			'section'     => 'renovation_roofing_events_section',
			'type'        => 'text',
		)
	);

	for ($i=1; $i <= 6; $i++) { 

		/*Portfolio Image*/
		$wp_customize->add_setting(
			'renovation_roofing_category_image'.$i,
			array(
				'capability'    => 'edit_theme_options',
		        'default'       => '',
		        'transport'     => 'postMessage',
		        'sanitize_callback' => 'esc_url_raw',
	    	)
	    );

		$wp_customize->add_control( 
			new WP_Customize_Image_Control( $wp_customize, 
				'renovation_roofing_category_image'.$i, 
				array(
			        'label' => __('Edit Portfolio Image ', 'renovation-roofing') .$i,
			        'description' => __('Edit the category image.', 'renovation-roofing'),
			        'section' => 'renovation_roofing_events_section',
				)
			)
		);

		/*Portfolio Heading*/
		$wp_customize->add_setting(
			'renovation_roofing_category_heading'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'renovation_roofing_category_heading'.$i,
			array(
				'label'       => __('Edit Heading', 'renovation-roofing') .$i,
				'description' => __('Edit portfolio heading text.', 'renovation-roofing'),
				'section'     => 'renovation_roofing_events_section',
				'type'        => 'text',
			)
		);

		/*Portfolio Content*/
		$wp_customize->add_setting(
			'renovation_roofing_category_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'renovation_roofing_category_text'.$i,
			array(
				'label'       => __('Edit Content', 'renovation-roofing') .$i,
				'description' => __('Edit portfolio content text.', 'renovation-roofing'),
				'section'     => 'renovation_roofing_events_section',
				'type'        => 'text',
			)
		);

		/*Portfolio Button*/
		$wp_customize->add_setting(
			'renovation_roofing_category_button1_text'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'sanitize_text_field',
			)
		);

		$wp_customize->add_control(
			'renovation_roofing_category_button1_text'.$i,
			array(
				'label'       => __('Edit Button Text', 'renovation-roofing') .$i,
				'description' => __('Edit portfolio button text.', 'renovation-roofing'),
				'section'     => 'renovation_roofing_events_section',
				'type'        => 'text',
			)
		);

		/*Portfolio Button Link*/
		$wp_customize->add_setting(
			'renovation_roofing_category_button1_link'.$i,
			array(
				'capability'        => 'edit_theme_options',
				'transport'         => 'refresh',
				'default'           => '',
				'sanitize_callback' => 'esc_url_raw',
			)
		);

		$wp_customize->add_control(
			'renovation_roofing_category_button1_link'.$i,
			array(
				'label'       => __('Edit Button Link ', 'renovation-roofing') .$i,
				'description' => __('Edit portfolio button link.', 'renovation-roofing'),
				'section'     => 'renovation_roofing_events_section',
				'type'        => 'url',
			)
		);
	}

	/*
	* Customizer Footer Section
	*/
	/*Footer Options*/
	$wp_customize->add_section('renovation_roofing_footer_section', array(
		'priority'       => 5,
		'capability'     => 'edit_theme_options',
		'theme_supports' => '',
		'title'          => __('Footer Options', 'renovation-roofing'),
		'panel'       => 'renovation_roofing_panel',
	));

	/*Footer Enable Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_footer',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);
	$wp_customize->add_control(
		'renovation_roofing_enable_footer',
		array(
			'label'       => __('Enable Footer', 'renovation-roofing'),
			'description' => __('Checked to show Footer', 'renovation-roofing'),
			'section'     => 'renovation_roofing_footer_section',
			'type'        => 'checkbox',
		)
	);

	/*Footer bg image Option*/
	$wp_customize->add_setting('renovation_roofing_footer_bg_image',array(
		'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
        'default'           => '',
        'sanitize_callback' => 'esc_url_raw',
    ));
    $wp_customize->add_control( new WP_Customize_Image_Control($wp_customize,'renovation_roofing_footer_bg_image',array(
        'label' => __('Footer Background Image','renovation-roofing'),
        'section' => 'renovation_roofing_footer_section',
        'priority' => 1,
    )));

	/*Footer Social Menu Option*/
	$wp_customize->add_setting(
		'renovation_roofing_footer_social_menu',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_footer_social_menu',
		array(
			'label'       => __('Enable Footer Social Menu', 'renovation-roofing'),
			'description' => __('Checked to show the footer social menu. Go to Dashboard >> Appearance >> Menus >> Create New Menu >> Add Custom Link >> Add Social Menu >> Checked Social Menu >> Save Menu.', 'renovation-roofing'),
			'section'     => 'renovation_roofing_footer_section',
			'type'        => 'checkbox',
		)
	);	

	/*Go To Top Option*/
	$wp_customize->add_setting(
		'renovation_roofing_enable_go_to_top_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => 1,
			'sanitize_callback' => 'renovation_roofing_sanitize_checkbox',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_enable_go_to_top_option',
		array(
			'label'       => __('Enable Go To Top', 'renovation-roofing'),
			'description' => __('Checked to enable Go To Top option.', 'renovation-roofing'),
			'section'     => 'renovation_roofing_footer_section',
			'type'        => 'checkbox',
		)
	);

	$wp_customize->add_setting('renovation_roofing_go_to_top_position',array(
        'capability'        => 'edit_theme_options',
		'transport'         => 'refresh',
		'default'           => 'Right',
        'sanitize_callback' => 'renovation_roofing_sanitize_choices'
    ));
    $wp_customize->add_control('renovation_roofing_go_to_top_position',array(
        'type' => 'select',
        'section' => 'renovation_roofing_footer_section',
        'label' => esc_html__('Go To Top Positions','renovation-roofing'),
        'choices' => array(
            'Right' => __('Right','renovation-roofing'),
            'Left' => __('Left','renovation-roofing'),
            'Center' => __('Center','renovation-roofing')
        ),
    ) );

	/*Footer Copyright Text Enable*/
	$wp_customize->add_setting(
		'renovation_roofing_copyright_option',
		array(
			'capability'        => 'edit_theme_options',
			'transport'         => 'refresh',
			'default'           => '',
			'sanitize_callback' => 'sanitize_text_field',
		)
	);

	$wp_customize->add_control(
		'renovation_roofing_copyright_option',
		array(
			'label'       => __('Edit Copyright Text', 'renovation-roofing'),
			'description' => __('Edit the Footer Copyright Section.', 'renovation-roofing'),
			'section'     => 'renovation_roofing_footer_section',
			'type'        => 'text',
		)
	);
}
add_action( 'customize_register', 'renovation_roofing_customize_register' );

/**
 * Render the site title for the selective refresh partial.
 *
 * @return void
 */
function renovation_roofing_customize_partial_blogname() {
	bloginfo( 'name' );
}

/**
 * Render the site tagline for the selective refresh partial.
 *
 * @return void
 */
function renovation_roofing_customize_partial_blogdescription() {
	bloginfo( 'description' );
}

/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function renovation_roofing_customize_preview_js() {
	wp_enqueue_script( 'renovation-roofing-customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), RENOVATION_ROOFING_VERSION, true );
}
add_action( 'customize_preview_init', 'renovation_roofing_customize_preview_js' );

/**
 * Singleton class for handling the theme's customizer integration.
 *
 * @since  1.0.0
 * @access public
 */
final class Renovation_Roofing_Customize {

	/**
	 * Returns the instance.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return object
	 */
	public static function get_instance() {

		static $renovation_roofing_instance = null;

		if ( is_null( $renovation_roofing_instance ) ) {
			$renovation_roofing_instance = new self;
			$renovation_roofing_instance->setup_actions();
		}

		return $renovation_roofing_instance;
	}

	/**
	 * Constructor method.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function __construct() {}

	/**
	 * Sets up initial actions.
	 *
	 * @since  1.0.0
	 * @access private
	 * @return void
	 */
	private function setup_actions() {

		// Register panels, sections, settings, controls, and partials.
		add_action( 'customize_register', array( $this, 'sections' ) );

		// Register scripts and styles for the controls.
		add_action( 'customize_controls_enqueue_scripts', array( $this, 'enqueue_control_scripts' ), 0 );
	}

	/**
	 * Sets up the customizer sections.
	 *
	 * @since  1.0.0
	 * @access public
	 * @param  object  $renovation_roofing_manager
	 * @return void
	*/
	public function sections( $renovation_roofing_manager ) {

		// Load custom sections.
		load_template( trailingslashit( get_template_directory() ) . '/revolution/inc/section-pro.php' );

		// Register custom section types.
		$renovation_roofing_manager->register_section_type( 'Renovation_Roofing_Customize_Section_Pro' );

		// Register sections.
		$renovation_roofing_manager->add_section( new Renovation_Roofing_Customize_Section_Pro( $renovation_roofing_manager,'renovation_roofing_go_pro', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Renovation Roofing', 'renovation-roofing' ),
			'pro_text' => esc_html__( 'Buy Pro', 'renovation-roofing' ),
			'pro_url'    => esc_url( RENOVATION_ROOFING_BUY_NOW ),
		) )	);

		// Register sections.
		$renovation_roofing_manager->add_section( new Renovation_Roofing_Customize_Section_Pro( $renovation_roofing_manager,'renovation_roofing_lite_documentation', array(
			'priority'   => 1,
			'title'    => esc_html__( 'Lite Documentation', 'renovation-roofing' ),
			'pro_text' => esc_html__( 'Instruction', 'renovation-roofing' ),
			'pro_url'    => esc_url( RENOVATION_ROOFING_LITE_DOC ),
		) )	);

		$renovation_roofing_manager->add_section( new Renovation_Roofing_Customize_Section_Pro( $renovation_roofing_manager, 'renovation_roofing_live_demo', array(
			'priority'   => 1,
			'title'      => esc_html__( 'Pro Theme Demo', 'renovation-roofing' ),
			'pro_text'   => esc_html__( 'Live Preview', 'renovation-roofing' ),
			'pro_url'    => esc_url( RENOVATION_ROOFING_LIVE_DEMO ),
		) ) );		
	}

	/**
	 * Loads theme customizer CSS.
	 *
	 * @since  1.0.0
	 * @access public
	 * @return void
	 */
	public function enqueue_control_scripts() {

		wp_enqueue_script( 'renovation-roofing-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/js/customize-controls.js', array( 'customize-controls' ) );

		wp_enqueue_style( 'renovation-roofing-customize-controls', trailingslashit( get_template_directory_uri() ) . '/revolution/assets/css/customize-controls.css' );
	}
}

// Doing this customizer thang!
Renovation_Roofing_Customize::get_instance();